Adam Kennedy > Perl-Metrics-Plugin-MinimumVersion-0.02 > Perl::Metrics::Plugin::MinimumVersion

Download:
Perl-Metrics-Plugin-MinimumVersion-0.02.tar.gz

Dependencies

Annotate this POD

View/Report Bugs
Module Version: 0.02   Source  

NAME ^

Perl::Metrics::Plugin::MinimumVersion - Perl::Metrics plugin for Perl::MinimumVersion

DESCRIPTION ^

This is a Perl::Metrics "plugin" that generated the two primary metrics generated by the Perl::MinimumVersion module. These are the minimum explicit perl version dependency, and the minimum syntax perl version dependency.

While this is an actual plugin to be used to real purposes, it provides a suitable example of a simple plugin which brings functionality from a PPI-based module into the larger Perl::Metrics framework.

In addition, because the results could change based on changes to Perl::MinimumVersion this module also demonstrates the user of "versioned" metrics.

The metrics method is overloaded to return an explicit list of metrics, with the appropriate metric versions based on the version of Perl::MinimumVersion.

METHODS ^

metric_explicit

Provides the metric 'explicit', the minimum explicit version provided as a normalized and serialized version object.

metric_syntax

Provides the metric 'syntax', the minimum explicit version provided as a normalized and serialized version object.

SUPPORT ^

Bugs should be reported via the CPAN bug tracker at

http://rt.cpan.org/NoAuth/ReportBug.html?Queue=Perl-Metrics-Plugin-MinimumVersion

For other issues, contact the author.

AUTHOR ^

Adam Kennedy <adamk@cpan.org>

SEE ALSO ^

Perl::Metrics::Plugin, Perl::Metrics, Perl::MinimumVersion, PPI

COPYRIGHT ^

Copyright 2005 - 2008 Adam Kennedy.

This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.

The full text of the license can be found in the LICENSE file included with this module.

syntax highlighting: